<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>Maven Plugin Plugin Goals</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <goals>
      <goal>
        <name>plugin</name>
        <description>Build and install a plugin</description>
      </goal>
      <goal>
        <name>plugin:deploy</name>
        <description>Install an unpacked version of the plugin</description>
      </goal>
      <goal>
        <name>plugin:generate-docs</name>
        <description>Generate navigation, goals and properties docs</description>
      </goal>
      <goal>
        <name>plugin:generate-goals</name>
        <description>Generate goals.xml for the plugin</description>
      </goal>
      <goal>
        <name>plugin:generate-navigation</name>
        <description>Generate navigation.xml for the plugin</description>
      </goal>
      <goal>
        <name>plugin:generate-properties</name>
        <description>Generate properties.xml for the plugin</description>
      </goal>
      <goal>
        <name>plugin:install</name>
        <description>Install the plugin in Maven's plugins dir</description>
      </goal>
    </goals>
  </body>
</document>